Functional Package for Transport Layer Security (TLS) Version 2.1

Profile details

Status active
Valid from 03.09.2025
Valid until N/A
Scheme πŸ‡ΊπŸ‡Έ US
Category Data Protection
Security level None

Certification report

certification report file processing did not finish successfully.
Download pdf: OK
Convert pdf to text: ERROR
Extract keywords: ERROR

Protection profile

Extracted keywords

Symmetric Algorithms
AES, RC2, RC4, DES, 3DES, TDES, IDEA
Asymmetric Algorithms
ECDHE, ECDSA, Diffie-Hellman, DHE, DSA
Hash functions
SHA-1, MD5
Schemes
MAC, AEAD
Protocols
SSH, SSL, TLS, TLS 1.0, TLS 1.2, TLS 1.3, TLS 1.1, DTLS, DTLS 1.2, DTLS 1.3, DTLS 1.0
Randomness
RBG
Libraries
NSS
Elliptic Curves
secp384r1, secp256r1, secp521r1
Block cipher modes
CBC, GCM
TLS cipher suites
TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_PSK_WITH_AES_128_GCM_SHA256, TLS_DHE_PSK_WITH_AES_128_GCM_SHA256, TLS_RSA_PSK_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_PSK_WITH_AES_256_GCM_SHA384, TLS_DHE_PSK_WITH_AES_256_GCM_SHA384, TLS_RSA_PSK_WITH_AES_256_GCM_SHA384, TLS_NULL_WITH_NULL_NULL, TLS_ECDHE_PSK_WITH_NULL_SHA_384, TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5, TLS_ECDHE_RSA_WITH_RC4_128_SHA, TLS_DHE_DSS_WITH_DES_CBC_SHA, TLS_RSA_WITH_IDEA_CBC_SHA, TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA

Security Assurance Requirements (SAR)
ATE_IND.1
Security Functional Requirements (SFR)
FAU_GEN.1, FAU_GEN, FCS_TLS_EXT, FCS_TLSC_EXT, FCS_TLSS_EXT, FCS_CKM.1, FCS_CKM.2, FCS_COP.1, FCS_RBG.1, FCS_TLS_EXT.1, FCS_TLS_EXT.1.1, FCS_TLSC_EXT.1, FCS_TLSC_EXT.4, FCS_TLSS_EXT.1, FCS_TLSS_EXT.4, FCS_TLSC_EXT.2, FCS_TLSC_EXT.3, FCS_TLSC_EXT.5, FCS_TLSC_EXT.6, FCS_TLSS_EXT.2, FCS_TLSS_EXT.3, FCS_TLSS_EXT.5, FCS_TLSS_EXT.6, FCS_TLSS_EXT.2.1, FCS_TLSC_EXT.1.1, FCS_TLSC_EXT.1.2, FCS_TLSC_EXT.1.3, FCS_TLSC_EXT.1.4, FCS_TLSC_EXT.1.5, FCS_TLSC_EXT.1.6, FCS_TLSC_EXT.2.1, FCS_TLSC_EXT.3.1, FCS_TLSC_EXT.4.1, FCS_TLSC_EXT.5.1, FCS_TLSC_EXT.6.1, FCS_TLSC_EXT.6.2, FCS_TLSS_EXT.1.1, FCS_TLSS_EXT.1.2, FCS_TLSS_EXT.1.3, FCS_TLSS_EXT.1.4, FCS_TLSS_EXT.1.5, FCS_TLSS_EXT.2.2, FCS_TLSS_EXT.2.3, FCS_TLSS_EXT.2.4, FCS_TLSS_EXT.3.1, FCS_TLSS_EXT.4.1, FCS_TLSS_EXT.4.2, FCS_TLSS_EXT.4.3, FCS_TLSS_EXT.5.1, FCS_TLSS_EXT.6.1, FCS_TLSS_EXT.6.2

Side-channel analysis
oracle attacks

Standards
RFC 5280, RFC 4519, RFC 6347, RFC 9147, RFC 5289, RFC 8422, RFC 5288, RFC 8446, RFC 5246, RFC 8442, RFC 5487, RFC 7250, RFC 5116, RFC 8773, RFC 7627, RFC 9151, RFC 6125, RFC 7919, RFC 5322, RFC 8398, RFC 8399, RFC 4492, RFC 5746, RFC 5077, RFC 4346, RFC 9591, ISO/IEC 15408, X.509, CCMB-2022-11-001, CCMB-2022-11-002, CCMB-2022-11-003, CCMB-2022-11-005, CCMB-2022-11-006

References

No references are available for this protection profile.

Processing updates

Feed
  • The protection profile was first processed.

Raw data

{
  "_id": "1f2cbe0f77827827",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "1f2cbe0f77827827",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "PKG_TLS_V2.1.pdf",
    "pp_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDH": {
            "ECDHE": 68
          },
          "ECDSA": {
            "ECDSA": 15
          }
        },
        "FF": {
          "DH": {
            "DHE": 47,
            "Diffie-Hellman": 9
          },
          "DSA": {
            "DSA": 2
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ATE": {
          "ATE_IND.1": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN": 4,
          "FAU_GEN.1": 2
        },
        "FCS": {
          "FCS_CKM.1": 6,
          "FCS_CKM.2": 6,
          "FCS_COP.1": 7,
          "FCS_RBG.1": 6,
          "FCS_TLSC_EXT": 3,
          "FCS_TLSC_EXT.1": 93,
          "FCS_TLSC_EXT.1.1": 13,
          "FCS_TLSC_EXT.1.2": 4,
          "FCS_TLSC_EXT.1.3": 2,
          "FCS_TLSC_EXT.1.4": 3,
          "FCS_TLSC_EXT.1.5": 4,
          "FCS_TLSC_EXT.1.6": 5,
          "FCS_TLSC_EXT.2": 10,
          "FCS_TLSC_EXT.2.1": 3,
          "FCS_TLSC_EXT.3": 9,
          "FCS_TLSC_EXT.3.1": 3,
          "FCS_TLSC_EXT.4": 14,
          "FCS_TLSC_EXT.4.1": 2,
          "FCS_TLSC_EXT.5": 12,
          "FCS_TLSC_EXT.5.1": 5,
          "FCS_TLSC_EXT.6": 7,
          "FCS_TLSC_EXT.6.1": 3,
          "FCS_TLSC_EXT.6.2": 2,
          "FCS_TLSS_EXT": 3,
          "FCS_TLSS_EXT.1": 67,
          "FCS_TLSS_EXT.1.1": 10,
          "FCS_TLSS_EXT.1.2": 4,
          "FCS_TLSS_EXT.1.3": 2,
          "FCS_TLSS_EXT.1.4": 3,
          "FCS_TLSS_EXT.1.5": 2,
          "FCS_TLSS_EXT.2": 12,
          "FCS_TLSS_EXT.2.1": 4,
          "FCS_TLSS_EXT.2.2": 2,
          "FCS_TLSS_EXT.2.3": 4,
          "FCS_TLSS_EXT.2.4": 3,
          "FCS_TLSS_EXT.3": 7,
          "FCS_TLSS_EXT.3.1": 3,
          "FCS_TLSS_EXT.4": 19,
          "FCS_TLSS_EXT.4.1": 3,
          "FCS_TLSS_EXT.4.2": 2,
          "FCS_TLSS_EXT.4.3": 3,
          "FCS_TLSS_EXT.5": 14,
          "FCS_TLSS_EXT.5.1": 5,
          "FCS_TLSS_EXT.6": 9,
          "FCS_TLSS_EXT.6.1": 3,
          "FCS_TLSS_EXT.6.2": 2,
          "FCS_TLS_EXT": 3,
          "FCS_TLS_EXT.1": 6,
          "FCS_TLS_EXT.1.1": 20
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 1
        },
        "GCM": {
          "GCM": 3
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "NSS": {
          "NSS": 2
        }
      },
      "crypto_protocol": {
        "SSH": {
          "SSH": 1
        },
        "TLS": {
          "DTLS": {
            "DTLS": 362,
            "DTLS 1.0": 7,
            "DTLS 1.2": 200,
            "DTLS 1.3": 192
          },
          "SSL": {
            "SSL": 10
          },
          "TLS": {
            "TLS": 441,
            "TLS 1.0": 5,
            "TLS 1.1": 30,
            "TLS 1.2": 246,
            "TLS 1.3": 233
          }
        }
      },
      "crypto_scheme": {
        "AEAD": {
          "AEAD": 12
        },
        "MAC": {
          "MAC": 3
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "secp256r1": 6,
          "secp384r1": 6,
          "secp521r1": 6
        }
      },
      "eval_facility": {},
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 8
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 10
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "RNG": {
          "RBG": 4
        }
      },
      "side_channel_analysis": {
        "other": {
          "oracle attacks": 2
        }
      },
      "standard_id": {
        "CC": {
          "CCMB-2022-11-001": 1,
          "CCMB-2022-11-002": 1,
          "CCMB-2022-11-003": 1,
          "CCMB-2022-11-005": 1,
          "CCMB-2022-11-006": 2
        },
        "ISO": {
          "ISO/IEC 15408": 2
        },
        "RFC": {
          "RFC 4346": 1,
          "RFC 4492": 2,
          "RFC 4519": 1,
          "RFC 5077": 12,
          "RFC 5116": 4,
          "RFC 5246": 66,
          "RFC 5280": 23,
          "RFC 5288": 8,
          "RFC 5289": 32,
          "RFC 5322": 16,
          "RFC 5487": 24,
          "RFC 5746": 41,
          "RFC 6125": 22,
          "RFC 6347": 11,
          "RFC 7250": 6,
          "RFC 7627": 40,
          "RFC 7919": 22,
          "RFC 8398": 2,
          "RFC 8399": 2,
          "RFC 8422": 16,
          "RFC 8442": 16,
          "RFC 8446": 162,
          "RFC 8773": 8,
          "RFC 9147": 10,
          "RFC 9151": 18,
          "RFC 9591": 1
        },
        "X509": {
          "X.509": 9
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 11
          },
          "RC": {
            "RC2": 12,
            "RC4": 12
          }
        },
        "DES": {
          "3DES": {
            "3DES": 4,
            "TDES": 8
          },
          "DES": {
            "DES": 12
          }
        },
        "miscellaneous": {
          "IDEA": {
            "IDEA": 12
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_DSS_WITH_DES_CBC_SHA": 4,
          "TLS_DHE_PSK_WITH_AES_128_GCM_SHA256": 8,
          "TLS_DHE_PSK_WITH_AES_256_GCM_SHA384": 8,
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 4,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 4,
          "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 4,
          "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 4,
          "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 4,
          "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 4,
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 12,
          "TLS_ECDHE_PSK_WITH_AES_128_GCM_SHA256": 8,
          "TLS_ECDHE_PSK_WITH_AES_256_GCM_SHA384": 8,
          "TLS_ECDHE_PSK_WITH_NULL_SHA_384": 4,
          "TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA": 4,
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 4,
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 4,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 4,
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 4,
          "TLS_ECDHE_RSA_WITH_RC4_128_SHA": 4,
          "TLS_NULL_WITH_NULL_NULL": 4,
          "TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5": 4,
          "TLS_RSA_PSK_WITH_AES_128_GCM_SHA256": 4,
          "TLS_RSA_PSK_WITH_AES_256_GCM_SHA384": 4,
          "TLS_RSA_WITH_AES_128_CBC_SHA": 4,
          "TLS_RSA_WITH_AES_128_CBC_SHA256": 4,
          "TLS_RSA_WITH_AES_256_CBC_SHA256": 4,
          "TLS_RSA_WITH_AES_256_GCM_SHA384": 4,
          "TLS_RSA_WITH_IDEA_CBC_SHA": 4
        }
      },
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/CreationDate": "D:20250826144522Z",
      "/Creator": "wkhtmltopdf 0.12.6",
      "/Producer": "Qt 5.15.13",
      "/Title": "",
      "pdf_file_size_bytes": 4376748,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_255",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_253",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_203",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_174",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_107",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#Compliant_Targets_of_Evaluation",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_37",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_165",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_81",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_UDP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_241",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_187",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_268",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.4.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_145",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_237",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_222",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.6.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_21",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_119",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.2.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-successful-resumption",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_142",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_11",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLS_EXT.1.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_40",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_172",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-no-finished-msg",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.3.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_TLS",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_230",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-supported-configurations",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-supported-configurations",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-missing-finished",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_DN",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.5.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-successful-resumption",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.6.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_227",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.6.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.1.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-correct-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-version-confusion",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-obsolete-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.2.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_158",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_199",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-rejects-bad-client-finished",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#Conformance_Claims",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_39",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_182",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_173",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_115",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_149",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-correct-1-3-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_202",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART4R1.pdf",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-mismatch-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_ECDSA",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_TSFI",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_79",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_42",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_116",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-correct-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_GCM",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_31",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_89",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_70",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_CA",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.1.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_78",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_184",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1.7",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_152",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-no-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_PP-Configuration",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_112",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_219",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_RSA",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-obsolete-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_257",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#Auditable_Events_for_Mandatory_SFRs",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_67",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_211",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_TSF",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-version-confusion",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_113",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.2.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_166",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.6.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-nonstandard-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_68",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-accepts-renegotiation",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_50",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_131",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_RBG.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_248",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-accepts-renegotiation",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-nonstandard-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.2.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.2.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_128",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_64",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_IP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-prevents-renegotiation",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.1.6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_CC",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_CBC",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_33",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_90",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_233",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_132",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_140",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_27",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_84",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_SFR",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.1.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_272",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_CKM.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_175",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_164",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_133",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-signature-algs-cert",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_PP-Module",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-FCS_DTLSS_EXT",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.2.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1.6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_16",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-supported-configurations",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_111",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_176",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_259",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_106",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_228",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_59",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.6.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.1.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.3.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_12",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_114",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_154",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_170",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_156",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_183",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_95",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_263",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-successful-resumption",
          "http://www.commoncriteriaportal.org/files/ccfiles/CEM2022R1.pdf",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_22",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART2R1.pdf",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_208",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_92",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_69",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_43",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_96",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-version-confusion",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_108",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_250",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_28",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_186",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_63",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-ip-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-successful-resumption",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_168",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_ECDHE",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-correct-1-3-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_155",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_244",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-missing-finished",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#cc-terms",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_73",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_195",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_167",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_ST",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_RFC",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_TCP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-version-confusion",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.1.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_181",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.1.6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#bibCC",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_169",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_139",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#bibIANA",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_CEM",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_65",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_124",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_48",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_217",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#glossary",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-supported-configurations",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_256",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_159",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-mismatch-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_66",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_46",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-deprecated-encryption",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_99",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_200",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_82",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_20",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_269",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#fcs",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_216",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_231",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-key-exchange",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-FCS_DTLSC_EXT",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-signature-algs-cert",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_163",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_151",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.4.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_134",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_AES",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_179",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_74",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-offers-renegotiation",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_34",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_85",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-defs",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.4.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_36",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_262",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_32",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_44",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-offers-renegotiation",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_214",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_123",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_245",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.1",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART5R1.pdf",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-valid-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.6.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_271",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_56",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_161",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_62",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_110",
          "https://www.iana.org/assignments/tls-parameters/tls-parameters.xhtml#tls-parameters-6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_249",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#bibCEM",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_220",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.2.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-FCS_TLS_EXT",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_SAN",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.1.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#Introduction",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_HTTP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_193",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.3.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_PP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_60",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_194",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_204",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-defs-bg",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-deprecated-encryption",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FIA_X509_EXT.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_6",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_240",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_SCSV",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_9",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_93",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-valid-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_TSS",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_185",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_276",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_Base-PP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_76",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_246",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.2.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_103",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_DNS",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_224",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_160",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_47",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-no-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-FCS",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_125",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_270",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_251",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#appendix-bibliography",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-deprecated-encryption",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.5.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_URI",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_NIST",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#opt-app",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_35",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#sel-based-reqs",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-obsolete-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_148",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_188",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART3R1.pdf",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-mismatch-1-3-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_198",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_13",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_121",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.3.1",
          "https://commoncriteriaportal.org/files/ccfiles/CEM2022R1.pdf",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-deprecated-encryption",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_212",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_213",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_201",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#objective-reqs",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_177",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_223",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.5.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.1.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.2.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#optional-reqs",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_118",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.4.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_SAR",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_8",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.1.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.1.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_138",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_264",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_260",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_266",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#Security_Functional_Requirements",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_189",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_196",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_162",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_EAP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_30",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_267",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#Overview",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#acronyms",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_24",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.6.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-beta-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-invalid-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_102",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_130",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-FCS_TLSS_EXT",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.4.3",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-invalid-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_38",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_cPP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_19",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_SHA",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_57",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_86",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_DTLS",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.1.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-rejects-bad-client-finished",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-client-ip-wildcard",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_75",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_FP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#fcs-sel-based",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_178",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_EP",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_45",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_CN",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#ext-comp-FCS_TLSC_EXT",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_265",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.1.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_OE",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-key-exchange",
          "https://www.commoncriteriaportal.org/files/ccfiles/CC2022PART1R1.pdf",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.5.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_129",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_IETF",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#sel-based-reqs-audit",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_DHE",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.2.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.6.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_127",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_205",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_254",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.1.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_277",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_207",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_61",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-obsolete-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-client-prevents-renegotiation",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_146",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tech-terms",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_135",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_261",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.4.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_18",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_26",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FIA_X509_EXT.2",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_273",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_136",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.1.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_252",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_275",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_COP.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_29",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLS_EXT.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_117",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_122",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_14",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_206",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_242",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_171",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSS_EXT.1.5",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_23",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#feat-based-reqs",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_49",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_TLSC_EXT.4.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#tls-server-mismatch-1-3-signature",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_126",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_54",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_55",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_TOE",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSS_EXT.1.4",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#dtls-server-beta-versions",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_DTLSC_EXT.4.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#abbr_URL",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_234",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#FCS_CKM.1",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_15",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_25",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_104",
          "file:///home/runner/work/tls/tls/output/tls-release.html?expand=on#_t_153"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 109
    },
    "report_filename": "",
    "report_keywords": null,
    "report_metadata": null
  },
  "scheme_metadata": {
    "cc_version": "CC:2022",
    "pp_short_name": "PKG_TLS_V2.1",
    "pp_sponsor_id": "NIAP",
    "pp_transition": "2026-01-01T00:00:00Z",
    "predecessor": "PKG_TLS_v2.0",
    "source_scheme": "US",
    "successor": null
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "b79b444efc21ec9ffd7aedd2b3dcd39022cc730ea4bf72de68748bafded81adb",
      "source_hash": "78bd51022f3524d9db4334c29460f8c2809783e11083a2d53ccc438dd9974acf",
      "txt_hash": "b3a0949733be26ebf11f02840d3731801ce126348dcfbc82e14e3fa1f6bba48d"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": true,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": "6adef86c67e4bbbcbc8872bedf10c93c33839884a5cb1ca1d36f080444041ca7",
      "txt_hash": null
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Data Protection",
    "is_collaborative": false,
    "maintenances": [],
    "name": "Functional Package for Transport Layer Security (TLS) Version 2.1",
    "not_valid_after": null,
    "not_valid_before": "2025-09-03",
    "pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/PKG_TLS_V2.1.pdf",
    "report_link": "https://www.commoncriteriaportal.org#no_cert",
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": [
        "None"
      ]
    },
    "status": "active",
    "version": "2.1"
  }
}